Skip to content
v2.275.0

SourceConfigurationProperty Struct ​

Configuration that defines how to make requests to endpoints.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_glue as glue } from 'aws-cdk-lib';
const sourceConfigurationProperty: glue.CfnConnectionType.SourceConfigurationProperty = {
  filterConfiguration: {
    filterMode: 'filterMode',

    // the properties below are optional
    betweenConfiguration: {
      highBoundKey: 'highBoundKey',
      lowBoundKey: 'lowBoundKey',
      template: 'template',
    },
    dateTimeFormat: 'dateTimeFormat',
    filterStringConfiguration: {
      queryParameterName: 'queryParameterName',

      // the properties below are optional
      quoteCharacter: 'quoteCharacter',
      quoteStringValues: false,
    },
    operatorMappings: {
      operatorMappingsKey: 'operatorMappings',
    },
    stripQuotes: false,
  },
  paginationConfiguration: {
    cursorConfiguration: {
      nextPage: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },

      // the properties below are optional
      limitParameter: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },
    },
    offsetConfiguration: {
      limitParameter: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },
      offsetParameter: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },
    },
  },
  requestMethod: 'requestMethod',
  requestParameters: [{
    name: 'name',
    propertyType: 'propertyType',
    required: false,

    // the properties below are optional
    allowedValues: ['allowedValues'],
    defaultValue: 'defaultValue',
    keyOverride: 'keyOverride',
    propertyLocation: 'propertyLocation',
  }],
  requestPath: 'requestPath',
  responseConfiguration: {
    resultPath: 'resultPath',

    // the properties below are optional
    errorPath: 'errorPath',
  },
};

Properties ​

filterConfigurationoptionalIResolvable | CfnConnectionType.FilterConfigurationPropertyfilter_configurationoptionaltyping.Union[IResolvable, FilterConfigurationProperty]filterConfigurationoptionalIResolvableFilterConfigurationoptionalIResolvableFilterConfigurationoptionalinterface{}#
Configuration that defines how filter predicates are applied to REST API requests, supporting both query parameter and filter string strategies.
paginationConfigurationoptionalIResolvable | CfnConnectionType.PaginationConfigurationPropertypagination_configurationoptionaltyping.Union[IResolvable, PaginationConfigurationProperty]paginationConfigurationoptionalIResolvablePaginationConfigurationoptionalIResolvablePaginationConfigurationoptionalinterface{}#
Configuration for handling paginated responses.
requestMethodoptionalstringrequest_methodoptionalstrrequestMethodoptionalStringRequestMethodoptionalstringRequestMethodoptional*string#
The HTTP method to use.
requestParametersoptionalIResolvable | IResolvable | CfnConnectionType.ConnectorPropertyProperty[]request_parametersoptionaltyping.Union[IResolvable, typing.List[typing.Union[IResolvable, ConnectorPropertyProperty]]]requestParametersoptionalIResolvableRequestParametersoptionalIResolvableRequestParametersoptionalinterface{}#
Request parameters configuration.
requestPathoptionalstringrequest_pathoptionalstrrequestPathoptionalStringRequestPathoptionalstringRequestPathoptional*string#
The URL path for the REST endpoint.
responseConfigurationoptionalIResolvable | CfnConnectionType.ResponseConfigurationPropertyresponse_configurationoptionaltyping.Union[IResolvable, ResponseConfigurationProperty]responseConfigurationoptionalIResolvableResponseConfigurationoptionalIResolvableResponseConfigurationoptionalinterface{}#
Configuration for parsing JSON responses from REST API calls.